Bug 22893 - contributors.yaml not correctly copied
Summary: contributors.yaml not correctly copied
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low blocker (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 21662
Blocks: 21626
  Show dependency treegraph
 
Reported: 2019-05-12 17:50 UTC by Jonathan Druart
Modified: 2019-05-24 13:42 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22893: Do not crash if contributors.yaml does not exist (2.04 KB, patch)
2019-05-13 00:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22893: Embed contributors.yaml for debian packages (1.78 KB, patch)
2019-05-13 00:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22893: Do not crash if contributors.yaml does not exist (2.11 KB, patch)
2019-05-14 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22893: Embed contributors.yaml for debian packages (1.84 KB, patch)
2019-05-14 13:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22893: Do not crash if contributors.yaml does not exist (2.16 KB, patch)
2019-05-14 15:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 22893: Embed contributors.yaml for debian packages (1.89 KB, patch)
2019-05-14 15:04 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-05-12 17:50:43 UTC
Jenkins is failing with:
koha_1       | Error GETing http://koha:8081/cgi-bin/koha/about.pl: Internal Server Error at t/db_dependent/www/history.t line 60.
koha_1       | # Looks like your test exited with 255 just after 1.
koha_1       | [16:59:56] t/db_dependent/www/history.t 

I guess it's because the yaml file is missing from the docdir directory.

From koha-testing-docker:
files/templates/koha-conf-site.xml.in: <docdir>/usr/share/doc/koha-common</docdir>

I suppose we need to mimick what is done for history.txt:
debian/rules:   # exclude history.txt from compression as about.pl needs it uncompressed
debian/rules:   dh_compress --exclude=history.txt

debian/koha-common.docs:docs/history.txt

Makefile.PL:  './docs/history.txt'          => { target => 'DOC_DIR', trimdir => -1 },

This may be a blocker for the release.
Comment 1 Jonathan Druart 2019-05-12 17:52:26 UTC
Tomas, do you agree? Something else I have missed?
Comment 2 Tomás Cohen Arazi 2019-05-12 19:14:15 UTC
(In reply to Jonathan Druart from comment #1)
> Tomas, do you agree? Something else I have missed?

100% correct
Comment 3 Jonathan Druart 2019-05-13 00:30:15 UTC
Created attachment 89644 [details] [review]
Bug 22893: Do not crash if contributors.yaml does not exist
Comment 4 Jonathan Druart 2019-05-13 00:30:18 UTC
Created attachment 89645 [details] [review]
Bug 22893: Embed contributors.yaml for debian packages

Like history.txt we need to tell some debian/ files to copy contributors.yaml
Also pick it for the `make install` process (Makefile.PL)
Comment 5 Jonathan Druart 2019-05-13 00:31:06 UTC
I'd suggest 2 QA reviews and let jenkins test this patch. Unless someone wants to build a package and test the debian upgrade process.
Comment 6 Tomás Cohen Arazi 2019-05-13 01:07:54 UTC
(In reply to Jonathan Druart from comment #5)
> I'd suggest 2 QA reviews and let jenkins test this patch. Unless someone
> wants to build a package and test the debian upgrade process.

I will build it tomorrow morning.
Comment 7 Martin Renvoize 2019-05-13 06:20:34 UTC
Ack, good catch.. can't believe I missed this during creating the original patchset.
Comment 8 Martin Renvoize 2019-05-14 13:47:02 UTC
Created attachment 89746 [details] [review]
Bug 22893: Do not crash if contributors.yaml does not exist

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-05-14 13:47:05 UTC
Created attachment 89747 [details] [review]
Bug 22893: Embed contributors.yaml for debian packages

Like history.txt we need to tell some debian/ files to copy contributors.yaml
Also pick it for the `make install` process (Makefile.PL)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2019-05-14 13:48:21 UTC
I was building packages this morning anyway so threw this into the mix.

Worked for me using the procedure in 'building packages the easy way'.

Signing off.
Comment 11 Tomás Cohen Arazi 2019-05-14 15:04:28 UTC
Created attachment 89761 [details] [review]
Bug 22893: Do not crash if contributors.yaml does not exist

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 12 Tomás Cohen Arazi 2019-05-14 15:04:31 UTC
Created attachment 89762 [details] [review]
Bug 22893: Embed contributors.yaml for debian packages

Like history.txt we need to tell some debian/ files to copy contributors.yaml
Also pick it for the `make install` process (Makefile.PL)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 13 Tomás Cohen Arazi 2019-05-14 15:05:15 UTC
Tested it using koha/koha-dpkg:master, everything went smooth. Good job Joubu
Comment 14 Nick Clemens 2019-05-14 18:22:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 15 Martin Renvoize 2019-05-24 13:41:59 UTC
Bug not in 18.11.x series.